Retrieve all purchase orders that meet the specified parameters

SecurityOAuth2
Request
query Parameters
pageToken
string

The page token for the next page of results. If this value is unspecified, the endpoint returns the first page of results.

header Parameters
Toast-Restaurant-External-ID
required
string

The Toast identifier of the location queried for retail information.

Request Body schema: application/json

An request object containing criteria for searching for purchase orders

includeArchived
boolean

Determines whether or not to include archived purchase orders. If this value is unspecified, archived purchase orders are not returned in API responses.

purchaseOrderStatuses
Array of strings (PurchaseOrderStatus)
Items Enum: "DRAFT" "ORDERED" "PARTIALLY_RECEIVED" "RECEIVED" "VOIDED"
object (DateRange)
Responses
200

Success

500

Internal server error

post/v1/purchaseOrders/search
Request samples
application/json
{
  • "updatedDateRange": {
    },
  • "includeArchived": true,
  • "purchaseOrderStatuses": [
    ]
}
Response samples
application/json
{
  • "currentPageToken": "string",
  • "nextPageToken": "string",
  • "data": [
    ]
}